<template>
  <vue-recaptcha 
    sitekey="6LeCPWYdAAAAALYbir7Wi1yMVLPMkhr443OiH--Y"
    :load-recaptcha-script="true"
    @verify="validate"
  />
</template>
<script>
import VueRecaptcha from 'vue-recaptcha'
import Validation from '../../api/services/recaptcha'

export default {
  name: "Recaptcha",
  components: {
    VueRecaptcha},
  data () {
    return {
    }
  },
  methods: {
    validate (token) {
      Validation.validate(token).then(result => {
        this.$emit('validate', result.success)
      }).catch(error => console.log(error))
    }
  }
}
</script>